package com.jasamedika.medifirst2000.vo;

import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.helper.Caption;

public class SurveyKepuasanPelangganVO extends BaseTransactionVO {
	
	@ManyToOne
	@JoinColumn(name = "ObjectParameterKepuasanFk")
	@NotNull(message="Parameter Kepuasan tidak boleh kosong")
	@Caption(value="Parameter Kepuasan")
	private ParameterKepuasanVO parameterKepuasan;

	@ManyToOne
	@JoinColumn(name = "ObjectGambarMukaKepuasanFk")
	@NotNull(message="Gambar Muka Kepuasan tidak boleh kosong")
	@Caption(value="Gambar Muka Kepuasan")
	private GambarMukaKepuasanVO gambarMukaKepuasan;

	public GambarMukaKepuasanVO getGambarMukaKepuasan() {
		return gambarMukaKepuasan;
	}

	public void setGambarMukaKepuasan(GambarMukaKepuasanVO gambarMukaKepuasan) {
		this.gambarMukaKepuasan = gambarMukaKepuasan;
	}

	public ParameterKepuasanVO getParameterKepuasan() {
		return parameterKepuasan;
	}

	public void setParameterKepuasan(ParameterKepuasanVO parameterKepuasan) {
		this.parameterKepuasan = parameterKepuasan;
	}
	
	
}
